Index: npl/system/sed/sed.SlackBuild
===================================================================
--- npl/system/sed/sed.SlackBuild	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed.SlackBuild	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/source/a/sed/
+# Created at do 14 okt 2021 18:28:25 CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./sed.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/sed/sed.SlackBuild.orig
===================================================================
--- npl/system/sed/sed.SlackBuild.orig	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed.SlackBuild.orig	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Copyright 2005-2013  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=sed
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-sed
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i486 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "i386" ]; then
+  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $PKG $PKG
+
+cd $TMP
+rm -rf sed-$VERSION
+tar xvf $CWD/sed-$VERSION.tar.?z* || exit 1
+cd sed-$VERSION
+chown -R root:root .
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --docdir=/usr/doc/sed-$VERSION \
+  --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/bin
+mv $PKG/usr/bin/sed $PKG/bin
+( cd $PKG/usr/bin ; ln -sf /bin/sed . )
+
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null 
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null 
+) || true
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/sed-$VERSION
+cp -a \
+  AUTHORS BUGS COPYING* INSTALL NEWS README* THANKS \
+  $PKG/usr/doc/sed-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/sed-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/system/sed/sed.arch
===================================================================
--- npl/system/sed/sed.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+i486
Index: npl/system/sed/sed.build
===================================================================
--- npl/system/sed/sed.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+1
Index: npl/system/sed/sed.md5
===================================================================
--- npl/system/sed/sed.md5	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed.md5	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,7 @@
+4739a993a424607be9b4e6afe4dd3465  ./sed-4.2.2.tar.xz
+7f7dfbf5f5c38acf1cbcaf8681ca863c  ./sed_dev.pkg
+abd34b0feabe2d7c872f7bd35d86a08e  ./sed.pkg
+7c9272c12894d456369bce7d594e4d82  ./sed.SlackBuild
+3536eb6c18addbc54418fd9aa75880f0  ./sed.SlackBuild.log.gz
+65d93a488836b65c91a8e091692f28f2  ./sed.SlackBuild.orig
+6b15a9079c69d7c8fb3d634e27e4e4b0  ./slack-desc
Index: npl/system/sed/sed.version
===================================================================
--- npl/system/sed/sed.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+4.2.2
Index: npl/system/sed/sed_dev.arch
===================================================================
--- npl/system/sed/sed_dev.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed_dev.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+i486
Index: npl/system/sed/sed_dev.build
===================================================================
--- npl/system/sed/sed_dev.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed_dev.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+1
Index: npl/system/sed/sed_dev.version
===================================================================
--- npl/system/sed/sed_dev.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/sed_dev.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+4.2.2
Index: npl/system/sed/slack-desc
===================================================================
--- npl/system/sed/slack-desc	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/system/sed/slack-desc	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+   |-----handy-ruler------------------------------------------------------|
+sed: sed (stream editor)
+sed:
+sed: This is the GNU version of sed, a stream editor.  A stream editor is
+sed: used to perform basic text transformations on an input stream (a file
+sed: or input from a pipeline).  It is sed's ability to filter text in a
+sed: pipeline which distinguishes it from other types of editors.
+sed:
+sed: sed is a required package (it is needed by many system scripts).
+sed:
+sed:
+sed:
